<?php

if(!defined('_PS_VERSION_')
	OR !defined('_CAN_LOAD_FILES_')
){
	exit;
}

class ecm_keywordsmover extends Module
{
	private $_html = '';
	private $_postErrors = array();
	protected $_errors = false;

	public
	function __construct()
	{
		$this->name = 'ecm_keywordsmover';
		$this->tab = 'content_management';
		$this->version = '0.1';
		$this->author = 'Elcommerce';
		$this->ps_versions_compliancy = array('min'=> '1.5','max'=> '1.6.10');
		$this->need_instance = 1;
		$this->module_key = "";

		parent::__construct();

		$this->displayName = $this->l('KeyWordMover');
		$this->description = $this->l('Moving products in new category by keyword');
	}

	public
	function install()
	{
		if(!parent::install()
		){
			return FALSE;
		}
		return TRUE;
	}
	public
	function uninstall()
	{
		if(!parent::uninstall()
		){
			return FALSE;
		}
		return TRUE;
	}

	public
	function runSql($sql)
	{
		foreach($sql as $s){
			if(!Db::getInstance()->Execute($s)){
				return FALSE;
			}
		}
		return TRUE;
	}

	private
	function _postProcess()
	{
		$this->html .= '

		';
		return $this->html;
	}

	function getContent()
	{
		//$this->instanceDefaultStates();
		$this->_postProcess();

		$order_states = OrderState::getOrderStates($this->context->language->id);
		$currency     = new Currency((int)(Configuration::get('PS_CURRENCY_DEFAULT')));
		$id_lang_default = (int)Configuration::get('PS_LANG_DEFAULT');
		$id_shop_default = (int)Configuration::get('PS_SHOP_DEFAULT');
		$languages = Language::getLanguages(false);
		$languageIds = 'voucher_details¤default_loyalty_state¤none_award_loyalty_state¤convert_loyalty_state¤validation_loyalty_state¤cancel_loyalty_state';

		$this->html .= '
		<script type="text/javascript">
		function keysearch() {
		selectList = document.forms["search"].elements["cat"];
		selectedIndex = selectList.selectedIndex;
		id_cat = selectList.options[selectedIndex].value;
		keywords = document.getElementById("keywords").value;
		$.ajax({		
		type: "POST",
		async: false,
		data: "id_cat="+id_cat+"&keywords="+keywords,
		url: "/modules/ecm_keywordsmover/classes/keysearche.php",
		success: function(html) {
			$("#preview").empty();
			$("#preview").append(html);
			}
		});
		}
		
		function inverse() {
		fcount = document.getElementById("fcount");
		count = fcount.getAttribute("value");
		for (var i = 0; i <= count; i++)
			{
			document.getElementById("ch"+i).checked = !document.getElementById("ch"+i).checked
			}
		}

		function keymove() {
		selectList = document.forms["search"].elements["cat"];
		selectedIndex = selectList.selectedIndex;
		id_cat = selectList.options[selectedIndex].value;
		selectList = document.forms["search"].elements["catdest"];
		selectedIndex = selectList.selectedIndex;
		id_cat_dest = selectList.options[selectedIndex].value;
		fcount = document.getElementById("fcount");
		count = fcount.getAttribute("value");
		id_prod = [];
		for (var i = 0; i <= count; i++)
			{
			if (document.getElementById("ch"+i).checked) {
				temp = document.getElementById("id"+i);
				id_prod[id_prod.length] = temp.getAttribute("value");
				}
			document.getElementById("ch"+i).checked = !document.getElementById("ch"+i).checked
			}
		id_prods = id_prod.join();
		$.ajax({		
		type: "POST",
		async: false,
		data: "id_prod="+id_prods+"&id_cat="+id_cat+"&id_cat_dest="+id_cat_dest,
		url: "/modules/ecm_keywordsmover/classes/keymover.php",
		success: function(html) {
			$("#preview").empty();
			$("#preview").append(html);
			}
		});
		}

		function keycopy() {
		selectList = document.forms["search"].elements["catdest"];
		selectedIndex = selectList.selectedIndex;
		id_cat_dest = selectList.options[selectedIndex].value;
		fcount = document.getElementById("fcount");
		count = fcount.getAttribute("value");
		id_prod = []
		for (var i = 0; i <= count; i++)
			{
			if (document.getElementById("ch"+i).checked) {
				temp = document.getElementById("id"+i);
				id_prod[id_prod.length] = temp.getAttribute("value");
				}
			}
		id_prods = id_prod.join();
		$.ajax({		
		type: "POST",
		async: false,
		data: "id_prod="+id_prods+"&id_cat_dest="+id_cat_dest,
		url: "/modules/ecm_keywordsmover/classes/keycopier.php",
		});
		}

		id_language = Number('.$id_lang_default.');
		</script>
		<h2>'.$this->l('Moving products in new category by keyword').'</h2>
		<form name="search" action="'.Tools::safeOutput($_SERVER['REQUEST_URI']).'" method="post">
			<fieldset>
			<legend>'.$this->l('Seaching').'</legend>
				<label>'.$this->l('Keywords').':</label>
				<div class="margin-form">
				<input type="text" size="66" name="keywords" id="keywords" value="" />
				</div>
				<div class="clear"></div>
				<label>'.$this->l('Search in this category only').':</label>
					<div class="margin-form">
					<select size="5" name="cat" id="cat">
					<option disabled>'.$this->l('Select category').'</option>
				';
		$cat = new Category();
		$index = $cat->getSimpleCategories($id_lang_default);
		foreach ($index as $cat) {
		$this->html .= '<option value='.$cat['id_category'].'>'.$cat['name'].'</option>';
		}
		$this->html .= '
				</select></div>

				<label></label>
				<div class="margin-form">
				<p class="product_description" style="text-align:left;">'.$this->l('Select the categorie for searching.').'</p>
				</div>
				<div class="clear"></div>

				<label></label>
				<div class="margin-form">
				<a style="cursor:default" class="button" id="button1" onclick="keysearch(); return false;">
				'.$this->l('Search').'</a>
				</div>
			</fieldset>
			';
		$this->html .= '
			<fieldset>
			<legend>'.$this->l('Preview').'</legend>
				<label>'.$this->l('Search result').':</label>
				<div class="margin-form" id= "preview">
			&nbsp;
			</div>
			<label>'.$this->l('Move (copy) in this categorie').':</label>
			<div class="margin-form">
			<select size="5" name="catdest" id="catdest">
			<option disabled>'.$this->l('Select category').'</option>
			';
		foreach ($index as $cat) {
		$this->html .= '<option value='.$cat['id_category'].'>'.$cat['name'].'</option>';
		}
		$this->html .= '
				</select></div>
				<label></label>
				<div class="margin-form">
				<p class="product_description" style="text-align:left;">'.$this->l('Select the category for moving or copying.').'</p>
				<div class="clear"></div>
				</div>

				<label></label>
				<div class="margin-form">
				<a style="cursor:default" class="button" id="button2" onclick="keymove(); return false;">
				'.$this->l('Move').'</a>&nbsp;&nbsp;&nbsp;&nbsp;
				<a style="cursor:default" class="button" id="button3" onclick="keycopy(); return false;">
				'.$this->l('Copy').'</a>
				</div>
			</fieldset>
		</form>
		';


		return $this->html;
	}
}
